Rated 5 out of 5 stars

You want to install this theme in 3.5 it simple download the jar file with another browser.

For some reason you can't edit the install.rdf directly. So extract everything to a folder edit the install.rdf to version 4 and create a new jar archive.

Open the add-on menu go to the theme screen and dump the new edited jar file right in it and it will install. So far I don't see why it not considered 3.5 compatible because it is!

This review is for a previous version of the add-on (0.4.1).